Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
scan
Scan Dataset
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/scan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Query Parameters

scan_type
string | null
target_model
string | null

Cookies

antidote_session
string | null

Body

application/json

The body is of type Body · object.

Response

Successful Response